#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=periodictable

export PYBUILD_TEST_ARGS=test doc/sphinx/guide periodictable
export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/api'
export MPLBACKEND=Agg

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .mplconfig api .cache

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml     doc/sphinx build/html # HTML generator
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -btexinfo  doc/sphinx build/texinfo # Info generator
	ln -sf /usr/share/javascript/mathjax/ build/html/_static/mathjax

override_dh_installinfo:
	cd build/texinfo; \
	  makeinfo $(PYBUILD_NAME).texi
	dh_installinfo

override_dh_installdocs:
	cp doc/README.txt doc/nsf-README.txt
	dh_installdocs
	rm doc/nsf-README.txt
